/***
*		NewEchow.h -- ui for NewEcho.c
*		 1996,1997  Michael Rees   All rights reserved.
***/

/*
=============================================================================
|   DATE   | WHAT
=============================================================================
 11 Jan 96 | created
 14 Jan 96 | added _min & _max gadgets
 15 Jan 96 | added popup slope gadget
 15 Nov 96 | added menu
  3 Feb 97 | uh, if you use a menu add MENUPICK in the nw struct, asshole
 27 Oct 97 | recreated to add config gadgets -- there is some weird shit in the
           | gadget definitions in pw!!
 28 Oct 97 | recreated again for separate slope gadgets; poppipes for routing
 29 Oct 97 | use sysex key was WRONG
*/

/* booleans */
#define ON        1
#define OFF       2
#define NOTESG    3
#define BENDG     4
#define MTOUCHG   5
#define PTOUCHG   6
#define CCHGG     7
#define DELAY_POP 8
#define X2        9
#define DOT      10
#define TRIPLET  11
#define FALLING  12
#define LEVEL    13
#define RISING   14
#define RANDOM   15
#define SOURCE   16
#define ECHOES   17
/* pots */
#define CONTROLLER    20
#define DELAY         21
#define REPEAT        22
#define INCREMENT     23
#define REPEAT_MIN    24
#define REPEAT_MAX    25
#define INCREMENT_MIN 26
#define INCREMENT_MAX 27
/* pop pipes */
#define SOURCE_POP    28
#define ECHO_POP      29
/* controller pots */
#define C_STATE       30
#define C_DELAY       31
#define C_ECHOES      32
#define C_SLOPE       33
#define C_BRANCHS     34
#define C_BRANCHE     35
#define C_CHANGE      36
/* controller discards */
#define DIS_STATE     37
#define DIS_DELAY     38
#define DIS_ECHOES    39
#define DIS_SLOPE     40
#define DIS_BRANCHS   41
#define DIS_BRANCHE   42
#define DIS_CHANGE    43

static struct Gadget Gadget39 = {
	NULL,
	364,14,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&ElbowImage,
	NULL,
	NULL,
	NULL,
	NULL, //(APTR)&PopPipeMenu,
	ECHO_POP,
	NULL
};

static struct Gadget Gadget38 = {
	&Gadget39,
	284,14,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PipeImage,
	NULL,
	NULL,
	NULL,
	NULL, //(APTR)&PopPipeMenu,
	SOURCE_POP,
	NULL
};

static struct Gadget Gadget37 = {
	&Gadget38,
	359,198,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_CHANGE,
	NULL
};

static struct Gadget Gadget36 = {
	&Gadget37,
	359,188,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_BRANCHE,
	NULL
};

static struct Gadget Gadget35 = {
	&Gadget36,
	359,178,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_BRANCHS,
	NULL
};

static struct Gadget Gadget34 = {
	&Gadget35,
	359,168,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_SLOPE,
	NULL
};

static struct Gadget Gadget33 = {
	&Gadget34,
	359,158,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_ECHOES,
	NULL
};

static struct Gadget Gadget32 = {
	&Gadget33,
	359,148,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_DELAY,
	NULL
};

static struct Gadget Gadget31 = {
	&Gadget32,
	359,138,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_STATE,
	NULL
};

static struct PropInfo Gadget30SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	4965,-1,
};

static struct Image Image23 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	6,0,JAM2,
	-59,0,
	NULL,
	"Change:",
	NULL
};

static struct Gadget Gadget30 = {
	&Gadget31,
	106,199,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image23,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget30SInfo,
	C_CHANGE,
	NULL
};

static struct PropInfo Gadget29SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	4965,-1,
};

static struct Image Image24 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	6,0,JAM2,
	-91,0,
	NULL,
	"BranchEcho:",
	NULL
};

static struct Gadget Gadget29 = {
	&Gadget30,
	106,189,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image24,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget29SInfo,
	C_BRANCHE,
	NULL
};

static struct PropInfo Gadget28SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	4965,-1,
};

static struct Image Image25 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	6,0,JAM2,
	-83,0,
	NULL,
	"BranchSrc:",
	NULL
};

static struct Gadget Gadget28 = {
	&Gadget29,
	106,179,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image25,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget28SInfo,
	C_BRANCHS,
	NULL
};

static struct PropInfo Gadget27SInfo = {
	AUTOKNOB+FREEHORIZ,
	464,-1,
	4965,-1,
};

static struct Image Image26 = {
	1,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	6,0,JAM2,
	-51,0,
	NULL,
	"Slope:",
	NULL
};

static struct Gadget Gadget27 = {
	&Gadget28,
	106,169,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image26,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget27SInfo,
	C_SLOPE,
	NULL
};

static struct PropInfo Gadget26SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	4965,-1,
};

static struct Image Image27 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText5 = {
	6,0,JAM2,
	-59,0,
	NULL,
	"Repeat:",
	NULL
};

static struct Gadget Gadget26 = {
	&Gadget27,
	106,159,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image27,
	NULL,
	&IText5,
	NULL,
	(APTR)&Gadget26SInfo,
	C_ECHOES,
	NULL
};

static struct PropInfo Gadget25SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	4965,-1,
};

static struct Image Image28 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText6 = {
	6,0,JAM2,
	-51,0,
	NULL,
	"Delay:",
	NULL
};

static struct Gadget Gadget25 = {
	&Gadget26,
	106,149,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image28,
	NULL,
	&IText6,
	NULL,
	(APTR)&Gadget25SInfo,
	C_DELAY,
	NULL
};

static struct PropInfo Gadget24SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	4965,-1,
};

static struct Image Image29 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText7 = {
	6,0,JAM2,
	-51,0,
	NULL,
	"State:",
	NULL
};

static struct Gadget Gadget24 = {
	&Gadget25,
	106,139,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image29,
	NULL,
	&IText7,
	NULL,
	(APTR)&Gadget24SInfo,
	C_STATE,
	NULL
};

static struct PropInfo Gadget23SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	6000,-1,
};

static struct Image Image30 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText8 = {
	2,0,JAM2,
	-35,0,
	NULL,
	"Min:",
	NULL
};

static struct Gadget Gadget23 = {
	&Gadget24,
	261,111,
	100,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image30,
	NULL,
	&IText8,
	NULL,
	(APTR)&Gadget23SInfo,
	INCREMENT_MIN,
	NULL
};

static struct PropInfo Gadget22SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	6000,-1,
};

static struct Image Image31 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText9 = {
	2,0,JAM2,
	-35,0,
	NULL,
	"Max:",
	NULL
};

static struct Gadget Gadget22 = {
	&Gadget23,
	261,102,
	100,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image31,
	NULL,
	&IText9,
	NULL,
	(APTR)&Gadget22SInfo,
	INCREMENT_MAX,
	NULL
};

static struct PropInfo Gadget21SInfo = {
	AUTOKNOB+FREEHORIZ,
	704,0,
	6000,-1,
};

static struct Image Image32 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText10 = {
	2,0,JAM2,
	-59,0,
	NULL,
	"Change:",
	NULL
};

static struct Gadget Gadget21 = {
	&Gadget22,
	66,106,
	100,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image32,
	NULL,
	&IText10,
	NULL,
	(APTR)&Gadget21SInfo,
	INCREMENT,
	NULL
};

static struct PropInfo Gadget20SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	6000,-1,
};

static struct Image Image33 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText11 = {
	2,0,JAM2,
	-35,0,
	NULL,
	"Min:",
	NULL
};

static struct Gadget Gadget20 = {
	&Gadget21,
	261,76,
	100,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image33,
	NULL,
	&IText11,
	NULL,
	(APTR)&Gadget20SInfo,
	REPEAT_MIN,
	NULL
};

static struct PropInfo Gadget19SInfo = {
	AUTOKNOB+FREEHORIZ,
	30,0,
	6000,-1,
};

static struct Image Image34 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText12 = {
	2,0,JAM2,
	-35,0,
	NULL,
	"Max:",
	NULL
};

static struct Gadget Gadget19 = {
	&Gadget20,
	261,67,
	100,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image34,
	NULL,
	&IText12,
	NULL,
	(APTR)&Gadget19SInfo,
	REPEAT_MAX,
	NULL
};

static struct PropInfo Gadget18SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	6000,-1,
};

static struct Image Image35 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText13 = {
	2,0,JAM2,
	-59,0,
	NULL,
	"Repeat:",
	NULL
};

static struct Gadget Gadget18 = {
	&Gadget19,
	66,71,
	100,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image35,
	NULL,
	&IText13,
	NULL,
	(APTR)&Gadget18SInfo,
	REPEAT,
	NULL
};

static struct PropInfo Gadget17SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	512,-1,
};

static struct Image Image36 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct Gadget Gadget17 = {
	&Gadget18,
	66,54,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image36,
	NULL,
	NULL,
	NULL,
	(APTR)&Gadget17SInfo,
	DELAY,
	NULL
};

static struct PropInfo Gadget16SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	4965,-1,
};

static struct Image Image37 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct Gadget Gadget16 = {
	&Gadget17,
	146,41,
	155,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image37,
	NULL,
	NULL,
	NULL,
	(APTR)&Gadget16SInfo,
	CONTROLLER,
	NULL
};

static struct IntuiText IText14 = {
	4,0,JAM1,
	13,1,
	NULL,
	"Random",
	NULL
};

static struct Gadget Gadget15 = {
	&Gadget16,
	306,88,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText14,
	NULL,
	NULL,
	RANDOM,
	NULL
};

static struct IntuiText IText15 = {
	4,0,JAM1,
	13,1,
	NULL,
	"Rising",
	NULL
};

static struct Gadget Gadget14 = {
	&Gadget15,
	226,88,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText15,
	NULL,
	NULL,
	RISING,
	NULL
};

static struct IntuiText IText16 = {
	4,0,JAM1,
	17,1,
	NULL,
	"Level",
	NULL
};

static struct Gadget Gadget13 = {
	&Gadget14,
	146,88,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText16,
	NULL,
	NULL,
	LEVEL,
	NULL
};

static struct IntuiText IText17 = {
	4,0,JAM1,
	9,1,
	NULL,
	"Falling",
	NULL
};

static struct Gadget Gadget12 = {
	&Gadget13,
	66,88,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText17,
	NULL,
	NULL,
	FALLING,
	NULL
};

static struct IntuiText IText18 = {
	4,0,JAM1,
	7,1,
	NULL,
	"3",
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	360,53,
	21,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText18,
	NULL,
	NULL,
	TRIPLET,
	NULL
};

static struct IntuiText IText19 = {
	4,0,JAM1,
	7,1,
	NULL,
	"",
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget11,
	333,53,
	21,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText19,
	NULL,
	NULL,
	DOT,
	NULL
};

static struct IntuiText IText20 = {
	4,0,JAM1,
	3,1,
	NULL,
	"2",
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget10,
	306,53,
	21,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText20,
	NULL,
	NULL,
	X2,
	NULL
};

static struct IntuiText IText21 = {
	4,0,JAM1,
	3,1,
	NULL,
	"Delay:",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	12,53,
	51,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText21,
	NULL,
	NULL,
	DELAY_POP,
	NULL
};

static struct IntuiText IText22 = {
	4,0,JAM1,
	6,1,
	NULL,
	"Ctrl Chg",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	66,40,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText22,
	NULL,
	NULL,
	CCHGG,
	NULL
};

static struct IntuiText IText23 = {
	4,0,JAM1,
	2,1,
	NULL,
	"PolyTouch",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	306,29,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText23,
	NULL,
	NULL,
	PTOUCHG,
	NULL
};

static struct IntuiText IText24 = {
	4,0,JAM1,
	2,1,
	NULL,
	"MonoTouch",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	226,29,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText24,
	NULL,
	NULL,
	MTOUCHG,
	NULL
};

static struct IntuiText IText25 = {
	4,0,JAM1,
	21,1,
	NULL,
	"Bend",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	146,29,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText25,
	NULL,
	NULL,
	BENDG,
	NULL
};

static struct IntuiText IText26 = {
	4,0,JAM1,
	17,1,
	NULL,
	"Notes",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	66,29,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText26,
	NULL,
	NULL,
	NOTESG,
	NULL
};

static struct IntuiText IText27 = {
	4,0,JAM1,
	25,1,
	NULL,
	"Off",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	146,16,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText27,
	NULL,
	NULL,
	OFF,
	NULL
};

static struct IntuiText IText28 = {
	4,0,JAM1,
	29,1,
	NULL,
	"On",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	66,16,
	75,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText28,
	NULL,
	NULL,
	ON,
	NULL
};

#define GadgetList1 Gadget1

static struct IntuiText IText29 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Show CC Numbers",
	NULL
};

static struct MenuItem MenuItem11 = {
	NULL,
	0,36,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText29,
	NULL,
	'N',
	NULL,
	MENUNULL
};

static struct IntuiText IText30 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Respond to CCs",
	NULL
};

static struct MenuItem MenuItem10 = {
	&MenuItem11,
	0,28,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText30,
	NULL,
	'R',
	NULL,
	MENUNULL
};

static struct IntuiText IText31 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem MenuItem9 = {
	&MenuItem10,
	0,16,
	179,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText31,
	NULL,
	'S',
	NULL,
	MENUNULL
};

static struct IntuiText IText32 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Free SysEx",
	NULL
};

static struct MenuItem MenuItem8 = {
	&MenuItem9,
	0,8,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP+CHECKED,
	0,
	(APTR)&IText32,
	NULL,
	'F',
	NULL,
	MENUNULL
};

static struct IntuiText IText33 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Use SysEx",
	NULL
};

static struct MenuItem MenuItem7 = {
	&MenuItem8,
	0,0,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP+CHECKED,
	0,
	(APTR)&IText33,
	NULL,
	'U',
	NULL,
	MENUNULL
};

static struct Menu Menu3 = {
	NULL,
	0,0,
	64,0,
	MENUENABLED,
	"NewEcho v1.1  1996,1997 Michael Rees",
	&MenuItem7
};

#define MenuList1 Menu3
static struct IntuiText IText38 = {
	2,0,JAM2,
	308,16,
	NULL,
	"Echoes:",
	NULL
};

static struct IntuiText IText37 = {
	2,0,JAM2,
	227,16,
	NULL,
	"Source:",
	&IText38
};

static struct IntuiText IText36 = {
	2,0,JAM2,
	15,89,
	NULL,
	"Slope:",
	&IText37
};

static struct IntuiText IText35 = {
	2,0,JAM2,
	15,17,
	NULL,
	"State:",
	&IText36
};

static struct IntuiText IText34 = {
	2,0,JAM2,
	22,35,
	NULL,
	"Echo:",
	&IText35
};

#define IntuiTextList1 IText34

static struct NewWindow NewWindowStructure1 = {
	172,33,
	392,124,
	0,1,
	NEWSIZE+GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	392,124,
	392,214,
	CUSTOMSCREEN
};

#define WTITLE "Neccococo"
#define GCOUNT 15
